Cruisers Forum
 


Join CruisersForum Today

Reply
 
Thread Tools Rate Thread Display Modes
Old 07-06-2016, 12:49   #16
Registered User

Join Date: Feb 2012
Location: San Diego, CA
Boat: Cape George 36
Posts: 77
Images: 3
Re: Tracker 12: Linux & Mac Testing needed to Close Items

Quote:
Originally Posted by CarCode View Post
AuroraGH,

why do you want to use an outdated SDK if you have El Capitan?
OCPN compiles fine with SDK 10.11 but you must also compile the wxWidgets libs with SDK 10.11. No problem at all.

If you really want to use an older Mac OSX you can get 10.7 here:
http://topperdiek.de/dl/MacOSX10.7.sdk.zip
unzip and copy the resulting folder MacOSX10.7.sdk to /Applications/Xcode/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/

Gerhard
Topic continued on Building on Mac El Capitan - Cruisers & Sailing Forums so as not to clutter this thread.
__________________

__________________
AuroraGH is offline   Reply With Quote
Old 07-06-2016, 13:16   #17
Registered User

Join Date: Jul 2010
Location: Monastir, Tunisia
Boat: Amel Sharki
Posts: 1,774
Re: Tracker 12: Linux & Mac Testing needed to Close Items

Quote:
Originally Posted by AuroraGH View Post
Topic continued on Building on Mac El Capitan - Cruisers & Sailing Forums so as not to clutter this thread.
Did not find your answer to my question no where.

Gerhard
__________________

__________________
CarCode is offline   Reply With Quote
Old 07-06-2016, 14:56   #18
Registered User
 
rgleason's Avatar

Join Date: Mar 2012
Location: Boston, MA
Boat: 1981 Bristol 32 Sloop
Posts: 9,305
Re: Tracker 12: Linux & Mac Testing needed to Close Items

Building on Mac El Capitan
Quote:
Very happy to not have to build against 10.7 - maybe the website should be updated.
--see the rest of his answer...
__________________
rgleason is offline   Reply With Quote
Old 07-06-2016, 15:34   #19
Registered User

Join Date: Feb 2012
Location: San Diego, CA
Boat: Cape George 36
Posts: 77
Images: 3
Re: Tracker 12: Linux & Mac Testing needed to Close Items

Quote:
Originally Posted by CarCode View Post
AuroraGH,

why do you want to use an outdated SDK if you have El Capitan?
OCPN compiles fine with SDK 10.11 but you must also compile the wxWidgets libs with SDK 10.11. No problem at all.
I do not *want* to use old SDK. It doesn't seem to work regardless of whether I try to install it or not.

wxWidgets3.0.2 does not build without errors against 10.11 as there have been breaking changes in NSWebView.

I would like to get a working Xcode project but I'm rapidly running out of available time to devote to this. If I have to spend a day playing "guess the build flags" every time I come back to this project, I'm never going to get anything done.
__________________

__________________
AuroraGH is offline   Reply With Quote
Reply

Tags
linux

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Tracker 5: MAC Testing needed rgleason OpenCPN 4 03-05-2016 07:30
Tracker 7: Fedora Testing & Information needed. rgleason OpenCPN 3 02-05-2016 08:35
Tracker 6: Ubuntu Testing Needed. rgleason OpenCPN 6 02-05-2016 08:13
Tracker: Testing needed to close 4.0 Items rgleason OpenCPN 5 28-04-2016 20:05
Tracker2: Testing & Linux explanation needed. rgleason OpenCPN 4 28-04-2016 19:53



Copyright 2002- Social Knowledge, LLC All Rights Reserved.

All times are GMT -7. The time now is 17:28.


Google+
Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Social Knowledge Networks
Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.

ShowCase vBulletin Plugins by Drive Thru Online, Inc.